#include <cmath>
#include "Calc_t_valueDep.h"

using namespace std;

namespace calctvaluedep {

	inline double sqr(double v) {
		return v * v;
	}

	void calc_t_value_dep(arry2 * data, int n, double & t, int & df, double & meanX, double & meanY, double & sd_diff) {
		double sumx = 0.0, sumy = 0.0;
		for (int i = 0; i < n; i++) {
			sumx += data[i].x;
			sumy += data[i].y;
		}
		meanX = sumx / n;
		meanY = sumy / n;
		double diff_means = meanX - meanY;
		double ssum_diff = 0.0;
		for (int i = 0; i < n; i++)
			ssum_diff += sqr((data[i].x - data[i].y) - (meanX - meanY));
		df = n - 1;
		double ss = ssum_diff / df;
		t = diff_means / sqrt(ss / n);
		sd_diff = sqrt(ssum_diff / n);
	}

}